Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.seam.drools
Class RuleAgent

    java.lang.Object
      org.jboss.seam.drools.RuleAgent

    @Scope(value=APPLICATION)
    @BypassInterceptors
    public class RuleAgent

extends Object

Manager component for a rule base loaded from a drools RulesAgent

Constructor Summary
`RuleAgent()`

Method Summary
`void` | `createAgent()`
`String` | `getConfigName()`
`String` | `getConfigurationFile()`
`String` | `getFiles()`
`String` | `getLocalCacheDir()`
`String` | `getNewInstance()`
`String` | `getPoll()`
`org.drools.RuleBase` | `getRuleBase()`
`String` | `getUrl()`
`protected void` | `loadFromPath(Properties properties, String configurationFile)`
`void` | `setConfigName(String name)`
`void` | `setConfigurationFile(String brmsConfig)`
`void` | `setFiles(String files)`
`void` | `setLocalCacheDir(String localCacheDir)`
`protected void` | `setLocalProperties(Properties properties)`
`void` | `setNewInstance(String newInstance)`
`void` | `setPoll(String poll)`
`void` | `setUrl(String url)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RuleAgent

    public RuleAgent()

Method Detail

### createAgent

    @Create
    public void createAgent()
                     throws Exception

  Throws:
    `Exception`

### setLocalProperties

    protected void setLocalProperties(Properties properties)

### loadFromPath

    protected void loadFromPath(Properties properties,
                                String configurationFile)
                         throws IOException

  Throws:
    `IOException`

### getRuleBase

    @Unwrap
    public org.drools.RuleBase getRuleBase()

### getNewInstance

    public String getNewInstance()

### setNewInstance

    public void setNewInstance(String newInstance)

### getFiles

    public String getFiles()

### setFiles

    public void setFiles(String files)

### getUrl

    public String getUrl()

### setUrl

    public void setUrl(String url)

### getLocalCacheDir

    public String getLocalCacheDir()

### setLocalCacheDir

    public void setLocalCacheDir(String localCacheDir)

### getPoll

    public String getPoll()

### setPoll

    public void setPoll(String poll)

### getConfigName

    public String getConfigName()

### setConfigName

    public void setConfigName(String name)

### getConfigurationFile

    public String getConfigurationFile()

### setConfigurationFile

    public void setConfigurationFile(String brmsConfig)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD